Google Web Toolkit
Search Google Code:

# Class Request

public class Request
extends Object
An HTTP request that is waiting for a response. Requests can be queried for their pending status or they can be canceled.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

    <!--                                                                        -->
    <!-- Copyright 2007 Google Inc.                                             -->
    <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
    <!-- may not use this file except in compliance with the License. You may   -->
    <!-- may obtain a copy of the License at                                    -->
    <!--                                                                        -->
    <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
    <!--                                                                        -->
    <!-- Unless required by applicable law or agreed to in writing, software    -->
    <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
    <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
    <!-- implied. License for the specific language governing permissions and   -->
    <!-- limitations under the License.                                         -->

    <module>
      <!-- other inherited modules, such as com.google.gwt.user.User -->
      <inherits name="com.google.gwt.http.HTTP"/>
      <!-- additional module settings -->
    </module>

## Methods

cancel() | Cancels a pending request.
isPending() | Returns true if this request is waiting for a response.

## Method Detail

### cancel

public void cancel()
Cancels a pending request. If the request has already been canceled or if it has timed out no action is taken.

### isPending

public boolean isPending()
Returns true if this request is waiting for a response.

#### Return Value

true if this request is waiting for a response